com.tibbo.aggregate.common.context

## Class VariableStatus

- java.lang.Object
- - com.tibbo.aggregate.common.context.VariableStatus

-     public class VariableStatus
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `VF_VARIABLE_STATUSES_COMMENT`
    `static java.lang.String` | `VF_VARIABLE_STATUSES_NAME`
    `static java.lang.String` | `VF_VARIABLE_STATUSES_STATUS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableStatus(java.lang.String status, java.lang.String comment)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getStatus()`
    `static VariableStatus` | `ofDataRecord(DataRecord dataRecord)`
    `static VariableStatus` | `ofDataTable(DataTable dataTable)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### VF_VARIABLE_STATUSES_COMMENT

          public static final java.lang.String VF_VARIABLE_STATUSES_COMMENT

      See Also:
        Constant Field Values

    - #### VF_VARIABLE_STATUSES_STATUS

          public static final java.lang.String VF_VARIABLE_STATUSES_STATUS

      See Also:
        Constant Field Values

    - #### VF_VARIABLE_STATUSES_NAME

          public static final java.lang.String VF_VARIABLE_STATUSES_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VariableStatus

          public VariableStatus(java.lang.String status,
                                java.lang.String comment)

  - ### Method Detail

    - #### getComment

          public java.lang.String getComment()

    - #### getStatus

          public java.lang.String getStatus()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### ofDataTable

          public static VariableStatus ofDataTable(DataTable dataTable)

    - #### ofDataRecord

          public static VariableStatus ofDataRecord(DataRecord dataRecord)